Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.changedetection.state
Class DefaultDirectoryStateChangeDetecterBuilder

    java.lang.Object
      org.gradle.api.changedetection.state.DefaultDirectoryStateChangeDetecterBuilder

    public class DefaultDirectoryStateChangeDetecterBuilder

extends java.lang.Object

Constructor Summary
`DefaultDirectoryStateChangeDetecterBuilder()`

Method Summary
`DefaultDirectoryStateChangeDetecterBuilder` | `allChangesStateComparator()`
`DefaultDirectoryStateChangeDetecterBuilder` | `dirChangedStateComparator()`
`DefaultDirectoryStateChangeDetecterBuilder` | `directoryToProcess(java.io.File directoryToProcess)`
`DefaultDirectoryStateChangeDetecterBuilder` | `dotGradleStatesDirectory(java.io.File dotGradleStatesDirectory)`
`DefaultDirectoryStateChangeDetecterBuilder` | `fileMetaDataAndContentHashing()`
`DefaultDirectoryStateChangeDetecterBuilder` | `fileMetaDataOnlyHashing()`
`DirectoryStateChangeDetecter` | `getDirectoryStateChangeDetecter()`
`DefaultDirectoryStateChangeDetecterBuilder` | `rootProjectDirectory(java.io.File rootProjectDirectory)`
`void` | `setDirectoryToProcess(java.io.File directoryToProcess)`
`void` | `setDotGradleStatesDirectory(java.io.File dotGradleStatesDirectory)`
`void` | `setRootProjectDirectory(java.io.File rootProjectDirectory)`
`void` | `setStateChangeEventQueuePollTimeout(long stateChangeEventQueuePollTimeout)`
`void` | `setStateChangeEventQueueSize(int stateChangeEventQueueSize)`
`DefaultDirectoryStateChangeDetecterBuilder` | `stateChangeEventQueuePollTimeout(long stateChangeEventQueuePollTimeout)`
`DefaultDirectoryStateChangeDetecterBuilder` | `stateChangeEventQueueSize(int stateChangeEventQueueSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDirectoryStateChangeDetecterBuilder

    public DefaultDirectoryStateChangeDetecterBuilder()

Method Detail

### setRootProjectDirectory

    public void setRootProjectDirectory(java.io.File rootProjectDirectory)

### rootProjectDirectory

    public DefaultDirectoryStateChangeDetecterBuilder rootProjectDirectory(java.io.File rootProjectDirectory)

### setDirectoryToProcess

    public void setDirectoryToProcess(java.io.File directoryToProcess)

### directoryToProcess

    public DefaultDirectoryStateChangeDetecterBuilder directoryToProcess(java.io.File directoryToProcess)

### setDotGradleStatesDirectory

    public void setDotGradleStatesDirectory(java.io.File dotGradleStatesDirectory)

### dotGradleStatesDirectory

    public DefaultDirectoryStateChangeDetecterBuilder dotGradleStatesDirectory(java.io.File dotGradleStatesDirectory)

### setStateChangeEventQueueSize

    public void setStateChangeEventQueueSize(int stateChangeEventQueueSize)

### stateChangeEventQueueSize

    public DefaultDirectoryStateChangeDetecterBuilder stateChangeEventQueueSize(int stateChangeEventQueueSize)

### setStateChangeEventQueuePollTimeout

    public void setStateChangeEventQueuePollTimeout(long stateChangeEventQueuePollTimeout)

### stateChangeEventQueuePollTimeout

    public DefaultDirectoryStateChangeDetecterBuilder stateChangeEventQueuePollTimeout(long stateChangeEventQueuePollTimeout)

### fileMetaDataOnlyHashing

    public DefaultDirectoryStateChangeDetecterBuilder fileMetaDataOnlyHashing()

### fileMetaDataAndContentHashing

    public DefaultDirectoryStateChangeDetecterBuilder fileMetaDataAndContentHashing()

### dirChangedStateComparator

    public DefaultDirectoryStateChangeDetecterBuilder dirChangedStateComparator()

### allChangesStateComparator

    public DefaultDirectoryStateChangeDetecterBuilder allChangesStateComparator()

### getDirectoryStateChangeDetecter

    public DirectoryStateChangeDetecter getDirectoryStateChangeDetecter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD